Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`tcp`.`_NullFileDescriptorReservation``

class documentation

`class _NullFileDescriptorReservation: (source)`

Implements interfaces: `twisted.internet.tcp._IFileDescriptorReservation`

View In Hierarchy

A null implementation of `_IFileDescriptorReservation`.

Method | `__enter__` | Do nothing. See `_IFileDescriptorReservation.__enter__`
Method | `__exit__` | Do nothing. See `_IFileDescriptorReservation.__exit__`.
Method | `available` | The reserved file is never available. See `_IFileDescriptorReservation.available`.
Method | `reserve` | Do nothing. See `_IFileDescriptorReservation.reserve`.

def __enter__(self): (source)
from `twisted.internet.tcp._IFileDescriptorReservation`

Do nothing. See `_IFileDescriptorReservation.__enter__`

Returns
`False`

def __exit__(self, excType, excValue, traceback): (source)
from `twisted.internet.tcp._IFileDescriptorReservation`

Do nothing. See `_IFileDescriptorReservation.__exit__`.

Parameters
excType | See `object.__exit__`
excValue | See `object.__exit__`
traceback | See `object.__exit__`

def available(self): (source)
from `twisted.internet.tcp._IFileDescriptorReservation`

The reserved file is never available. See `_IFileDescriptorReservation.available`.

Returns
`False`

def reserve(self): (source)
from `twisted.internet.tcp._IFileDescriptorReservation`

Do nothing. See `_IFileDescriptorReservation.reserve`.